package com.goafanti.portal.controller;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

import com.goafanti.common.bo.Result;
import com.goafanti.common.controller.BaseController;
import com.goafanti.user.bo.OrgPartnerDetailBo;

/**
 * 
 * @author Administrator
 *	科技金融
 */
@Controller
public class PortalFinancialController extends BaseController{

	/**
	 * 金融机构查询 
	 * @return
	 */
	@RequestMapping(value = "/portal/financial/search", method = RequestMethod.GET)
	@ResponseBody
	public Result financialSearch(Integer provinceId,String keyword,Integer pageSize,Integer pageNo){
		pageSize = pageSize == null ? 10 : pageSize;
		pageNo = pageNo == null ? 10 : pageNo;
		Result result = new Result();
		
		return result;
	}
	
	/**
	 * 金融机构详情
	 * @param organizationId
	 * @return
	 */
	@RequestMapping(value = "/portal/financial/investmentDetail", method = RequestMethod.GET)
	public ModelAndView investmentDetail(String organizationId){
		ModelAndView mv = new ModelAndView();
		OrgPartnerDetailBo bo=new OrgPartnerDetailBo();
		mv.setViewName("/portal/financial/investmentDetail");
		List<OrgPartnerDetailBo> list = new ArrayList<OrgPartnerDetailBo>();
		mv.addObject("bo",bo);
		mv.addObject("recommendCompanyList",list);
		return mv;
	}
	@RequestMapping(value = "/portal/financial/investmentInstitution", method = RequestMethod.GET)
	public ModelAndView investmentInstitution(String organizationId){
		ModelAndView mv = new ModelAndView();
		OrgPartnerDetailBo bo=new OrgPartnerDetailBo();
		mv.setViewName("/portal/financial/investmentInstitution");
		List<OrgPartnerDetailBo> list = new ArrayList<OrgPartnerDetailBo>();
		mv.addObject("bo",bo);
		mv.addObject("recommendCompanyList",list);
		return mv;
	}
}
